Checks
Get started with Cross River APIs.
GET calls
- Add query parameters to filter the response the API returns to general GET calls.
- Use pagination to control presentation of your results.
This table presents checks management APIs that we describe in detail.
Action | API Call | Description |
|---|---|---|
POST /checks/v1/payments | Sends COS the information needed to deposit a check into a Cross River account | |
POST /checks/v1/printed-payments | Sends a request to print and deliver a physical check. | |
GET /checks/v1/payments | Returns a list of check payments based on various query criteria, per partner | |
GET /checks/v1/payments/{id} | Returns details about a specific check payment, by payment ID | |
GET /v1/payments/{id}/extended | Returns ICL file metadata for a specific check payment by payment ID | |
POST /checks/v1/payments/{id}/cancel | Cancels a check deposit | |
GET /checks/v1/payments/{id}/images/{view} | Returns the image of the front or back of the check encoded in Base64 | |
GET /checks/v1/payments/{id}/analysis | Returns an analysis of the check's image quality assurance (IQA) status based on the Fed's metrics | |
Positive Pay: Authorize check | POST /checks/v1/positive-pay-authorizations | Authorizes an incoming check using Positive Pay |
Positive Pay: Revoke authorization | POST checks/v1/positive-pay-authorizations/{id}/revoke | Revokes Positive Pay authorization already given for a specific check |
POST /checks/v1/payments/{id}/returns | Initiates return of an inbound forward check | |
Simulation: | POST /checks/v1/payments/simulated-inbound-payments | Simulates an inbound forward check payment (withdrawal of funds) |
Simulation: | POST /checks/v1/payments/simulated-inbound-returns | Simulates return of a check deposited into a Cross River account that the issuing bank does not honor |
Related topics
Tutorials
See our API tutorial to learn how to:
- Checks: Deposit and handle rejected checks.